package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.Goods;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


@EqualsAndHashCode(callSuper = true)
@Data
public class AckGoodsBean extends Goods {

    @Schema(description = "规则值")
    private String specValue;
    @Schema(description = "规格图片")
    private String specImgUrl;
    @Schema(description = "价格")
    private BigDecimal price;
    @Schema(description = "划线价")
    private BigDecimal orgPrice;
    @Schema(description = "商品数量")
    private Integer num;
    @Schema(description = "是否为礼品卡活动商品")
    private Boolean isGift;
    @Schema(description = "秒杀活动id")
    private String secKillId;
    @Schema(description = "团购活动id")
    private String promotionGroupId;


}
