package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.Goods;
import com.gree.mall.contest.plus.entity.GoodsShare;
import com.gree.mall.contest.plus.entity.GoodsShareList;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class GoodsShareDetail extends GoodsShare {

    @Schema(description = "绑定商品")
    private List<GoodsShareList> goodsShareLists;

    @Schema(description = "商品")
    private List<Goods> goodsList;

}
