package com.gree.mall.contest.bean.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class RankItemBean {
    @Schema(description = "业务员id")
    private String workUserId;
    @Schema(description = "业务员名称")
    private String workUserName;
    @Schema(description = "总销售额")
    private BigDecimal total;
    @Schema(description = "排名")
    private Integer ranking;
    @Schema(description = "网点")
    private String websitName;
    @Schema(description = "头像")
    private String avatar;


}
