package com.gree.mall.contest.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.contest.bean.goods.CategoryBean;
import com.gree.mall.contest.bean.goods.GoodsNewBean;
import com.gree.mall.contest.plus.entity.GoodsCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CategoryMapper {

    @InterceptorIgnore(tenantLine = "true")
    List<CategoryBean> queryCategory(@Param("companyWechatId") String companyWechatId);

    @InterceptorIgnore(tenantLine = "true")
    IPage<GoodsNewBean> listGoods(IPage page,
                                  @Param("currentCompanyWechatId") String currentCompanyWechatId,
                                  @Param("categoryId")String categoryId,
                                  @Param("sort")Integer sort);

    /**
     * 查询商品分类
     */
    @InterceptorIgnore(tenantLine = "true")
    GoodsCategory queryGoodsCategoryByGoodsId(@Param("goodsId") String goodsId);
}
