package com.gree.mall.contest.bean.coupon;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


@Data
public class CouponExportBean {
    @Schema(description = "领取时间")
    private Date receiveTime;

    @Schema(description = "优惠券名称")
    private String couponName;

    @Schema(description ="发放总量")
    private Integer couponAmount;

    @Schema(description ="领取数量")
    private Integer receiveAmount;

    @Schema(description ="使用数量")
    private Integer usedAmount;

    @Schema(description ="优惠券金额")
    private Integer couponValue;

    @Schema(description = "状态")
    private Boolean status;

    @Schema(description = "使用时间")
    private Date usedTime;

    @Schema(description = "订单id")
    private String orderId;

    @Schema(description = "订单金额")
    private BigDecimal payAmount;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "手机")
    private String mobile;

    @Schema(description = "业务员手机")
    private String workPhone;

    @Schema(description = "业务员名称")
    private String workName;

    @Schema(description = "网点名称")
    private String websitName;
}
