package com.gree.mall.contest.logic.admin;

import com.gree.mall.contest.plus.entity.SysConfig;
import com.gree.mall.contest.plus.service.SysConfigService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 系统应用配置
 * @author ：lijh
 * @description：TODO
 * @date ：2024/3/16 13:45
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class SysConfigLogic {

    private final SysConfigService sysConfigService;

    /**
     * 保存
     * @param sysConfig
     */
    public void save(SysConfig sysConfig){
        sysConfig.setId("1");
        sysConfig.insertOrUpdate();
    }

    /**
     * 详情
     * @return
     */
    public SysConfig detail(){
        return sysConfigService.getById("1");
    }

}
